<!-- // created by : KuduSinau_Hendrik_081275532220 (TERIMAKASIH UNTUK MENDAPATKAN KEBERKAHAN, DENGAN TIDAK MERUBAH NAMA HAK CIPTA, PLAGIAT, DAN TIDAK MEMPERJUALBELIKAN APLIKASI INI, SEMOGA KITA SEMUA MENDAPAT MANFAAT DAN KEBERKAHAN DARI APLIKASI INI)
// created by : KuduSinau_Hendrik_081275532220 (UNTUK MASUKAN DAN SARAN SERTA PENGEMBANGAN BISA MENGHUBUNGI NOMOR) -->
<div class="footer-copyright-area">
   <div class="container-fluid">
      <div class="row">
         <div class="col-lg-12">
            <div class="footer-copy-right">
               <p>Copyright &#169; 2021 | <?= $nama; ?> V.04 by <?= $footer; ?></p>
            </div>
         </div>
      </div>
   </div>
</div>
<div class="chat-list-wrap">
   <div class="chat-list-adminpro">
      <div class="chat-button">
         <span data-toggle="collapse" data-target="#chat" class="chat-icon-link"><i class="fa fa-comments"></i></span>
      </div>
      <div id="chat" class="collapse chat-box-wrap shadow-reset animated zoomInLeft">
         <div class="chat-main-list">
            <div class="chat-heading">
               <h2>KuduSinau</h2>
            </div>
            <div class="chat-content chat-scrollbar">
               <div class="author-chat">
                  <h3>Hi User <span class="chat-date">20:21 am</span></h3>
                  <p>Apabila ada masalah hubungi 081275532220</p>
               </div>
            </div>
         </div>
      </div>
   </div>
   <script src="<?= base_url(); ?>/assets/rapor/js/vendor/jquery-1.11.3.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/bootstrap.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/jquery.meanmenu.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/jquery.mCustomScrollbar.concat.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/jquery.sticky.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/jquery.scrollUp.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/wow/wow.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/counterup/jquery.counterup.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/counterup/waypoints.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/counterup/counterup-active.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/jvectormap/jquery-jvectormap-2.0.2.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/jvectormap/jvectormap-active.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/peity/jquery.peity.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/peity/peity-active.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/sparkline/jquery.sparkline.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/sparkline/sparkline-active.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/flot/Chart.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/flot/dashtwo-flot-active.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/data-table/bootstrap-table.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/data-table/tableExport.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/data-table/data-table-active.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/data-table/bootstrap-table-editable.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/data-table/bootstrap-editable.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/data-table/bootstrap-table-resizable.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/data-table/colResizable-1.5.source.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/data-table/bootstrap-table-export.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/main.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/modal-active.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/select2.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/alert/sweetalert2.all.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/alert/jquery.min.js"></script>
   <script>
      let fadeTarget = document.querySelector(".loading")

      function show_loading() {
         fadeTarget.style.display = "block";
         fadeTarget.style.opacity = 1;
      }

      function hide_loading() {
         let fadeEffect = setInterval(() => {
            if (!fadeTarget.style.opacity) {
               fadeTarget.style.opacity = 1;
            }
            if (fadeTarget.style.opacity > 0) {
               fadeTarget.style.opacity -= 0.1;
            } else {
               clearInterval(fadeEffect)
               fadeTarget.style.display = "none"
            }
         }, 100)
      }
   </script>
   <script src="<?= base_url(); ?>/assets/rapor/js/datapicker/bootstrap-datepicker.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/datapicker/datepicker-active.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/chosen/chosen.jquery.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/chosen/chosen-active.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/icheck/icheck-active.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/password-meter/pwstrength-bootstrap.min.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/password-meter/zxcvbn.js"></script>
   <script src="<?= base_url(); ?>/assets/rapor/js/password-meter/password-meter-active.js"></script>
   <script>
      var flash = $('#flashsucces').data('flash');
      if (flash) {
         Swal.fire({
            icon: 'success',
            title: 'Berhasil',
            text: flash,
         })
      }
      var flash = $('#flashsucceslulus').data('flash');
      if (flash) {
         Swal.fire({
            icon: 'success',
            title: 'Berhasil',
            text: flash,
         })
      }
      $(document).on('click', '#btn-hapus', function(e) {
         e.preventDefault();
         var link = $(this).attr('href');
         Swal.fire({
            title: 'Apakah anda yakin ?',
            text: "Anda akan menghapus data !",
            icon: 'question',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Ya, Hapus !'
         }).then((result) => {
            if (result.isConfirmed) {
               window.location = link;
            }
         })
      })
      $(document).on('click', '#btn-hapus-kelas', function(e) {
         e.preventDefault();
         var link = $(this).attr('href');
         Swal.fire({
            title: 'Apakah anda yakin ?',
            text: "Menghapus data kelas dapat menghapus semua data yang berhubungan dengan kelas tersebut !",
            icon: 'question',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Ya, Hapus !'
         }).then((result) => {
            if (result.isConfirmed) {
               window.location = link;
            }
         })
      })
      $(document).on('click', '#btn-hapus-siswa', function(e) {
         e.preventDefault();
         var link = $(this).attr('href');
         Swal.fire({
            title: 'Apakah anda yakin ?',
            text: "Menghapus data student dapat menghapus semua data yang berhubungan dengan student tersebut !",
            icon: 'question',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Ya, Hapus !'
         }).then((result) => {
            if (result.isConfirmed) {
               window.location = link;
            }
         })
      })
      $(document).on('click', '#btn-hapus-guru', function(e) {
         e.preventDefault();
         var link = $(this).attr('href');
         Swal.fire({
            title: 'Apakah anda yakin ?',
            text: "Menghapus data teacher dapat menghapus semua data yang berhubungan dengan teacher tersebut !",
            icon: 'question',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Ya, Hapus !'
         }).then((result) => {
            if (result.isConfirmed) {
               window.location = link;
            }
         })
      })
      $(document).on('click', '#btn-hapus-eskul', function(e) {
         e.preventDefault();
         var link = $(this).attr('href');
         Swal.fire({
            title: 'Apakah anda yakin ?',
            text: "Menghapus data eskul dapat menghapus semua data yang berhubungan dengan eskul tersebut !",
            icon: 'question',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Ya, Hapus !'
         }).then((result) => {
            if (result.isConfirmed) {
               window.location = link;
            }
         })
      })
      $(document).on('click', '#btn-hapus-mapel', function(e) {
         e.preventDefault();
         var link = $(this).attr('href');
         Swal.fire({
            title: 'Apakah anda yakin ?',
            text: "Menghapus bidang study dapat menghapus semua data yang berhubungan dengan bidang study tersebut !",
            icon: 'question',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Ya, Hapus !'
         }).then((result) => {
            if (result.isConfirmed) {
               window.location = link;
            }
         })
      })
      $(document).on('click', '#btn-hapus-gmapel', function(e) {
         e.preventDefault();
         var link = $(this).attr('href');
         Swal.fire({
            title: 'Apakah anda yakin ?',
            text: "Menghapus guru bidang study dapat menghapus semua data yang berhubungan dengan guru bidang study tersebut !",
            icon: 'question',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Ya, Hapus !'
         }).then((result) => {
            if (result.isConfirmed) {
               window.location = link;
            }
         })
      })
      $(document).on('click', '#btn-proses', function(e) {
         e.preventDefault();
         var link = $(this).attr('href');
         Swal.fire({
            title: 'Apakah anda yakin ?',
            text: "Anda akan memproses data nilai akhir !",
            icon: 'question',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Ya, proses !'
         }).then((result) => {
            if (result.isConfirmed) {
               window.location = link;
            }
         })
      })
      var flash = $('#flasherror').data('flash');
      if (flash) {
         Swal.fire({
            icon: 'error',
            title: 'Gagal',
            text: flash,
         })
      }
      var flash = $('#flashwarning').data('flash');
      if (flash) {
         Swal.fire({
            icon: 'warning',
            title: 'Cek lagi',
            text: flash,
         })
      }
      var flash = $('#flashinfo').data('flash');
      if (flash) {
         Swal.fire({
            icon: 'info',
            title: 'Mohon menunggu',
            text: flash,
         })
      }
      var flash = $('#flashinfo2').data('flash');
      if (flash) {
         Swal.fire({
            icon: 'info',
            title: 'Mohon hubungi admin',
            text: flash,
         })
      }
      var flash = $('#flashsave').data('flash');
      if (flash) {
         Swal.fire({
            position: 'bottom-end',
            icon: 'success',
            text: flash,
            showConfirmButton: false,
            timer: 2000
         })
      }
      var flash = $('#flashupdate').data('flash');
      if (flash) {
         Swal.fire({
            position: 'bottom-end',
            icon: 'success',
            text: flash,
            showConfirmButton: false,
            timer: 2000
         })
      }
   </script>
   </body>

   </html>